## opencrypt 0.7

=== debian/changelog ===
opencrypt (0.7) bookworm; urgency=low

  * search keys with additional ending / in dirs
  * fix deleting temp files in genkey

 -- Michel Verdier <michel@verdier.eu>  Thu, 02 Jan 2025 22:09:11 +0100

opencrypt (0.6) bookworm; urgency=low

  [ Michel Verdier ]
  * remove temp crypttab in hook
  * fix cryptsetup keyboard options in script 
  * fix local files when multiple devices to open
  * check if crypt partition exists before trying to open it
  * fix unmounting non existent device
  * add genkey tool

 -- Michel Verdier <michel@verdier.eu>  Thu, 19 Dec 2024 13:57:05 +0100

opencrypt (0.5) bookworm; urgency=low

  [ Michel Verdier ]
  * add more checks in hook
  * fix logging checksum
  * add configuration blocks for search parameters

 -- Michel Verdier <michel@verdier.eu>  Wed, 04 Dec 2024 11:20:25 +0100

opencrypt (0.4) bookworm; urgency=low

  [ Michel Verdier ]
  * fix dependencies
  * fix architecture all
  * clean hook and script code
  * add configuration blocks for keys parameters
  * add more checks in hook

 -- Michel Verdier <michel@verdier.eu>  Wed, 20 Nov 2024 10:32:03 +0100

opencrypt (0.3) bookworm; urgency=low

  [ Michel Verdier ]
  * adjust man section
  * add some parameters checks in hook
  * add some checks for LUKS and loopAES in script
  * create /etc/passwd and suppress plymouth dependency
  * add more trace in hook

 -- Michel Verdier <michel@verdier.eu>  Sun, 17 Nov 2024 14:39:16 +0100

opencrypt (0.2) bookworm; urgency=low

  [ Michel Verdier ]
  * debianized the package

 -- Michel Verdier <michel@verdier.eu>  Thu, 14 Nov 2024 12:52:10 +0100

opencrypt (0.1) bookworm; urgency=medium

  [ Michel Verdier ]
  * initial release

 -- Michel Verdier <michel@verdier.eu>  Tue, 12 Nov 2024 15:36:16 +0100
