=== debian/control ===
Source: opencrypt
Section: admin
Priority: optional
Maintainer: Michel Verdier <michel@verdier.eu>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 docbook-to-man
Standards-Version: 4.6.2
Homepage: https://debian.verdier.eu/

Package: opencrypt
Architecture: all
Depends:
 cryptsetup-initramfs,
 busybox | util-linux (>= 2.38),
 ${misc:Depends}
Recommends:
 busybox
Suggests:
 ifupdown,
 debianutils (>= 5.7),
 iproute2,
 wget,
 openssh-client,
 net-tools,
 iptables | nftables
Conflicts:
 busybox-static
Description: automatically open crypted partitions during boot
 Opencrypt can use 0, 1 or 2 keys, dispatched on different devices
 and/or servers on a network, to open automatically during boot the
 crypted partitions. Keys can be the same or different for each partition
 to open.
 For each partition opencrypt will first try to find keys on unencrypted
 devices (USB stick, etc). Opencrypt will then search missing keys on
 network. If the partition could not be opened, opencrypt will ask a password
 on keyboard.
